# Memory_Pool.h File Reference

`#include "ace/ACE.h"`
`#include "ace/Local_Memory_Pool.h"`
`#include "ace/MMAP_Memory_Pool.h"`
`#include "ace/Sbrk_Memory_Pool.h"`
`#include "ace/Shared_Memory_Pool.h"`
`#include "ace/Pagefile_Memory_Pool.h"`

Include dependency graph for Memory_Pool.h:

## Detailed Description

Id
  Memory_Pool.h,v 4.55 2004/10/11 18:46:56 jtc Exp

Author:
  Dougls C. Schmidt <schmidt@cs.wustl.edu>

  Prashant Jain <pjain@cs.wustl.edu>